package com.tofly.watermeter.custom.mapper.meterBusiness;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.custom.entity.meterBusiness.dto.FaultSpotCheckConditionDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface FaultSpotCheckMapper {

    List<Map> count(@Param("dto") FaultSpotCheckConditionDto dto);

    /**
     * 移交信息
     */
    List<Map> queryInfo(@Param("dto") FaultSpotCheckConditionDto dto);

    Page<Map> queryInfo(Page page, @Param("dto") FaultSpotCheckConditionDto dto);

    /**
     * 周检记录
     */
    List<Map> queryWeekInfo(@Param("dto") FaultSpotCheckConditionDto dto);

    Page<Map> queryWeekInfo(Page page, @Param("dto") FaultSpotCheckConditionDto dto);

}
